org.eclipse.microprofile.opentracing.tck.rest.client

## Class RestClientApplication

- java.lang.Object
- - jakarta.ws.rs.core.Application
  - - org.eclipse.microprofile.opentracing.tck.rest.client.RestClientApplication

    @ApplicationPath(value="rest")
    public class RestClientApplication
    extends jakarta.ws.rs.core.Application

Author:
  Pavol Loffay Note that we cannot extend TestWebServicesApplication. We remove it from the deployment and map a this JAX-RS map to its URL.

### Constructor Summary

Constructors
Constructor and Description
`RestClientApplication()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Class<?>>` `getClasses()`

### Methods inherited from class jakarta.ws.rs.core.Application

`getProperties, getSingletons`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestClientApplication

    public RestClientApplication()

### Method Detail

#### getClasses

    public Set<Class<?>> getClasses()

Overrides:
  `getClasses` in class `jakarta.ws.rs.core.Application`